VFS_CHECKEXP(9)

NAME
VFS_CHECKEXP - check if a file system is exported to a client

SYNOPSIS
#include <sys/param.h>
#include <sys/mount.h>
int
VFS_CHECKEXP(struct mount *mp, struct sockaddr *nam, int *exflagsp, struct ucred **credanonp);

DESCRIPTION
The VFS_CHECKEXP() macro is used by the NFS server to check if a mount point is exported to a client.

The arguments it expects are:

mp  The mount point to be checked.

nam An mbuf containing the network address of the client.

exflagsp
    Return parameter for the export flags for this client.

credanonp
    Return parameter for the anonymous credentials for this client.

The VFS_CHECKEXP() macro should be called on a file system's mount structure to determine if it is exported to a client whose address is contained in nam.

It is generally called before VFS_FHTOVP(9) to validate that a client has access to the file system.

The file system should call vfs_export_lookup(9) with the address of an appropriate netexport structure and the address of the client, nam, to verify that the client can access this file system.

RETURN VALUES
The export flags and anonymous credentials specific to the client (returned by vfs_export_lookup(9)) will be returned in *exflagsp and *credanonp.

SEE ALSO
VFS(9), VFS_FHTOVP(9), VOP_VPTOFH(9), vnode(9)

AUTHORS
This manual page was written by Alfred Perlstein.